SHEBANG
# Copyright @BABOLO (C)2004
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-pre.m4,v 1.1 2004/09/08 01:04:36 babolo Exp $

JNTROSTUP(ispms,-pre,ispmsdnl
,dnl
# jailup ispms-pre dir
#           dir relative to ${JAILUPDIR}
#Change 127.0.0.1 in configs as appropriatednl
)

this=${UPLIBDIR}/${genclass}
MTREE=${this}/mtree${suffix}
ispmslexdir=/usr/local/libexec/ispms
ispmswwwdir=/usr/local/www
ispmscnfdir=/var/net/conf
dir="${1}"

main_dir="${JAILUPDIR}/${dir}"
conf_dir="${JAILRODIR}/${dir}"
${mkdir} "${main_dir}" "${conf_dir}/apache" "${ispmslexdir}" "${ispmswwwdir}"
${up_mdir} "${main_dir}" ${MTREE}

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c
EOF

${up_libexe} "${main_dir}/usr/libexec" "${PREFIX}/libexec/apache" << EOF
    ld-elf.so.1
    `${up_genlist} usr/libexec/ ${MTREE}`
EOF

${up_genlist} bin/ ${MTREE} | ${up_exec} "${main_dir}/bin"

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#${ispmslexdir}		${main_dir}/usr/libexec/ispms null	ro,noatime,nodev	0 0
#${ispmscnfdir}		${main_dir}${ispmscnfdir} null	ro,noatime,nodev,noexec	0 0
#${ispmswwwdir}		${main_dir}/www		null	ro,noatime,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################

CONFCOPY(apache/httpd.conf,  "${TEMPLATE}")
CONFCOPY(apache/common.conf, "${TEMPLATE}-common")
CONFCOPY(apache/httpsd.conf, "${TEMPLATE}-ssl")
CONFCOPY(apache/ispms.conf, "${TEMPLATE}-ispms")
CONFCOPY(apache/user.conf, "${TEMPLATE}-user")
CONFCOPY(apache/apachu.conf, "${TEMPLATE}-u")
${up_mtree} "${main_dir}" ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.			type=dir mode=0755
    apache		type=dir mode=0755
        common.conf
        httpd.conf
        httpsd.conf
        ispms.conf
        user.conf
        u.conf
    ..
..
EOF
